Daemon Power

The NetBSD Packages Collection: sysutils/ruby-chef

Brief description of the package:
Configuration management tool for infrastructure automation

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/opscode/chef.

Please note that this package has a apache-2.0 license.

The package is located in the "sysutils/ruby-chef" directory. The current source version of the package is "ruby23-chef-13.4.24". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for sysutils/ruby-chef :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-chef-config>=13.4.24<13.5 ruby23-mixlib-config>=2.0<3 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-mixlib-shellout>=2.0<3 ruby23-fuzzyurl>=0 ruby23-addressable>=0 ruby23-public_suffix>=2.0.2 ruby23-mixlib-archive>=0.4<1 ruby23-mixlib-log>=1.6 ruby23-mixlib-cli>=1.7<2 ruby23-mixlib-authentication>=1.4<2 ruby23-ohai>=13.0<14 ruby23-systemu>=2.6.4<2.7 ruby23-ffi>=1.9<2 libffi>=1.20 libffi>=3.0.11 ruby23-ffi-yajl>=2.2<3 ruby23-libyajl2>=1.2 yajl>=1.0.9 ruby23-mixlib-cli>=1.5.0 ruby23-mixlib-config>=2.1.0 ruby23-mixlib-log>=1.6.0<2.0 ruby23-plist>=3.1<4 ruby23-ipaddress>=0.8.0 ruby23-wmi-lite>=1.0<2 ruby23-chef-config<14 ruby23-net-ssh-multi>=1.2.1 ruby23-net-sftp>=2.1.2 ruby23-net-ssh>=2.6.5 ruby23-highline>=1.6.21 ruby23-erubis>=2.7<3 ruby23-diff-lcs>=1.2.4 ruby23-chef-zero>=13.0 ruby23-mixlib-log>=1.6.0 ruby23-uuidtools>=2.1<3 ruby23-hashie>=2.0.5<4.0 ruby23-rack>=2.0<3 ruby23-plist>=3.2<4 ruby23-iniparse>=1.4<2 ruby23-iso8601>=0.9.1<0.10 ruby23-rspec-core>=3.5<4 ruby23-rspec-support>=3.6.0<3.7 ruby23-rspec-expectations>=3.5<4 ruby23-diff-lcs<2 ruby23-rspec-mocks>=3.5<4 ruby23-rspec_junit_formatter>=0.2.0<0.3 ruby23-builder<4 ruby23-rspec-core>=2<4 ruby23-serverspec>=2.7<3 ruby23-rspec>=3.0<4 ruby23-rspec-core>=3.6.0<3.7 ruby23-rspec-expectations>=3.6.0<3.7 ruby23-rspec-mocks>=3.6.0<3.7 ruby23-rspec-its>=0 ruby23-rspec-core>=3.0.0 ruby23-rspec-expectations>=3.0.0 ruby23-multi_json>=0 ruby23-specinfra>=2.68<3 ruby23-net-scp>=0 ruby23-syslog-logger>=1.6<2 ruby23-uuidtools>=2.1.5<2.2 ruby23-proxifier>=1.0<2 ruby23-bundler>=1.10 .

This package requires the following package(s) to run: ruby23-chef-config>=13.4.24<13.5 ruby23-mixlib-config>=2.0<3 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-mixlib-shellout>=2.0<3 ruby23-fuzzyurl>=0 ruby23-addressable>=0 ruby23-public_suffix>=2.0.2 ruby23-mixlib-archive>=0.4<1 ruby23-mixlib-log>=1.6 ruby23-mixlib-cli>=1.7<2 ruby23-mixlib-authentication>=1.4<2 ruby23-ohai>=13.0<14 ruby23-systemu>=2.6.4<2.7 ruby23-ffi>=1.9<2 libffi>=1.20 libffi>=3.0.11 ruby23-ffi-yajl>=2.2<3 ruby23-libyajl2>=1.2 yajl>=1.0.9 ruby23-mixlib-cli>=1.5.0 ruby23-mixlib-config>=2.1.0 ruby23-mixlib-log>=1.6.0<2.0 ruby23-plist>=3.1<4 ruby23-ipaddress>=0.8.0 ruby23-wmi-lite>=1.0<2 ruby23-chef-config<14 ruby23-net-ssh-multi>=1.2.1 ruby23-net-sftp>=2.1.2 ruby23-net-ssh>=2.6.5 ruby23-highline>=1.6.21 ruby23-erubis>=2.7<3 ruby23-diff-lcs>=1.2.4 ruby23-chef-zero>=13.0 ruby23-mixlib-log>=1.6.0 ruby23-uuidtools>=2.1<3 ruby23-hashie>=2.0.5<4.0 ruby23-rack>=2.0<3 ruby23-plist>=3.2<4 ruby23-iniparse>=1.4<2 ruby23-iso8601>=0.9.1<0.10 ruby23-rspec-core>=3.5<4 ruby23-rspec-support>=3.6.0<3.7 ruby23-rspec-expectations>=3.5<4 ruby23-diff-lcs<2 ruby23-rspec-mocks>=3.5<4 ruby23-rspec_junit_formatter>=0.2.0<0.3 ruby23-builder<4 ruby23-rspec-core>=2<4 ruby23-serverspec>=2.7<3 ruby23-rspec>=3.0<4 ruby23-rspec-core>=3.6.0<3.7 ruby23-rspec-expectations>=3.6.0<3.7 ruby23-rspec-mocks>=3.6.0<3.7 ruby23-rspec-its>=0 ruby23-rspec-core>=3.0.0 ruby23-rspec-expectations>=3.0.0 ruby23-multi_json>=0 ruby23-specinfra>=2.68<3 ruby23-net-scp>=0 ruby23-syslog-logger>=1.6<2 ruby23-uuidtools>=2.1.5<2.2 ruby23-proxifier>=1.0<2 ruby23-bundler>=1.10 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
alpha:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
alpha:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
earm:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
earm:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
earm:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
earmv6hf:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
earmv6hf:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
earmv7hf:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
earmv7hf:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
earmv7hf:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
earmv7hf:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
earmv7hf:ruby23-chef-13.1.31.tgz(NetBSD 8.0_BETA)
i386:ruby23-chef-13.4.24.tgz(NetBSD 6.0)
i386:ruby24-chef-13.4.24.tgz(NetBSD 6.0)
i386:ruby21-chef-12.0.3.tgz(NetBSD 6.0)
i386:ruby21-chef-12.0.3.tgz(NetBSD 6.0)
i386:ruby23-chef-13.1.31.tgz(NetBSD 6.0)
i386:ruby24-chef-13.1.31.tgz(NetBSD 6.0)
i386:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
i386:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
i386:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
i386:ruby23-chef-13.1.31.tgz(NetBSD 7.0)
i386:ruby24-chef-13.1.31.tgz(NetBSD 7.0)
powerpc:ruby24-chef-13.1.31.tgz(NetBSD 6.1)
powerpc:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
powerpc:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
powerpc:ruby23-chef-13.1.31.tgz(NetBSD 7.1)
powerpc:ruby24-chef-13.1.31.tgz(NetBSD 7.1)
powerpc:ruby23-chef-13.4.24.tgz(NetBSD 7.1)
powerpc:ruby24-chef-13.4.24.tgz(NetBSD 7.1)
powerpc:ruby23-chef-13.1.31.tgz(NetBSD 8.0)
powerpc:ruby24-chef-13.1.31.tgz(NetBSD 8.0)
sparc64:ruby200-chef-12.0.3.tgz(NetBSD 7.0)
sparc:ruby193-chef-11.12.4.tgz(NetBSD 6.0)
sparc:ruby200-chef-11.12.4.tgz(NetBSD 6.0)
x86_64:ruby23-chef-13.4.24.tgz(NetBSD 6.0)
x86_64:ruby24-chef-13.4.24.tgz(NetBSD 6.0)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 6.0)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 6.0)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 6.0)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 6.0)
x86_64:ruby23-chef-13.4.24.tgz(NetBSD 6.1)
x86_64:ruby24-chef-13.4.24.tgz(NetBSD 6.1)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 6.1)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 6.1)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 6.1)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 6.1)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 6.1)
x86_64:ruby23-chef-13.4.24.tgz(NetBSD 7.0)
x86_64:ruby24-chef-13.4.24.tgz(NetBSD 7.0)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
x86_64:ruby21-chef-12.0.3.tgz(NetBSD 7.0)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 7.0)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 7.0)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 8.99.1)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 8.99.1)
x86_64:ruby23-chef-13.1.31.tgz(NetBSD 8.99.1)
x86_64:ruby24-chef-13.1.31.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]